- Qt 5.5
- Qt3D Module
- C++ Classes
- GLTFParser
- Qt 5.5.1 Reference Documentation

# GLTFParser Class

(Qt3D::GLTFParser)

Inherits: |

- List of all members, including inherited members

## Public Functions

| GLTFParser()
| ~GLTFParser()
bool | isExtensionSupported(const QUrl & source) const
QEntity * | node(const QString & id)
QEntity * | scene(const QString & id = QString())
void | setBasePath(const QString & path)
bool | setJSON(const QJsonDocument & json)
void | setSource(const QUrl & source)

## Member Function Documentation

### GLTFParser::GLTFParser()

### GLTFParser::~GLTFParser()

### bool GLTFParser::isExtensionSupported(const QUrl & source) const

### QEntity * GLTFParser::node(const QString & id)

### QEntity * GLTFParser::scene(const QString & id = QString())

### void GLTFParser::setBasePath(const QString & path)

### bool GLTFParser::setJSON(const QJsonDocument & json)

### void GLTFParser::setSource(const QUrl & source)